Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.5.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.autoinventory.agent
Class AICommandsAPI

    java.lang.Object
      org.hyperic.hq.agent.AgentAPIInfo
          org.hyperic.hq.autoinventory.agent.AICommandsAPI

    public final class AICommandsAPI

extends org.hyperic.hq.agent.AgentAPIInfo

Field Summary
`static String` | `command_getScanStatus`
`static String` | `command_pushRuntimeDiscoveryConfig`
`static String` | `command_startScan`
`static String` | `command_stopScan`
`static String[]` | `commandSet`
`static String` | `PROP_SCANCONFIG`

Constructor Summary
`AICommandsAPI()`

Method Summary

Methods inherited from class org.hyperic.hq.agent.AgentAPIInfo
`getBugfixVersion, getMajorVersion, getMinorVersion, getVersion, isCompatible`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROP_SCANCONFIG

    public static final String PROP_SCANCONFIG

See Also:
  Constant Field Values

### command_startScan

    public static final String command_startScan

See Also:
  Constant Field Values

### command_stopScan

    public static final String command_stopScan

See Also:
  Constant Field Values

### command_getScanStatus

    public static final String command_getScanStatus

See Also:
  Constant Field Values

### command_pushRuntimeDiscoveryConfig

    public static final String command_pushRuntimeDiscoveryConfig

See Also:
  Constant Field Values

### commandSet

    public static final String[] commandSet

Constructor Detail

### AICommandsAPI

    public AICommandsAPI()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.5.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2010 Hyperic, Inc. support@hyperic.net, All Rights Reserved.